Package org.apache.catalina.startup

# Class CredentialHandlerRuleSet

java.lang.Object
org.apache.tomcat.util.digester.RuleSetBase
org.apache.catalina.startup.CredentialHandlerRuleSet

All Implemented Interfaces:
  `RuleSet`

public class CredentialHandlerRuleSet extends RuleSetBase
RuleSet for processing the contents of a CredentialHandler definition element. This `RuleSet` supports CredentialHandler such as the `NestedCredentialHandler` that used nested CredentialHandlers.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`prefix`
The matching pattern prefix to use for recognizing our elements.

### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

`namespaceURI`

## Constructor Summary

Constructors
Constructor
Description
`CredentialHandlerRuleSet()`
Construct an instance of this `RuleSet` with the default matching pattern prefix.
`CredentialHandlerRuleSet(String prefix)`
Construct an instance of this `RuleSet` with the specified matching pattern prefix.

## Method Summary

Modifier and Type
Method
Description
`void`
`addRuleInstances(Digester digester)`
Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

`getNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### prefix

protected final String prefix
The matching pattern prefix to use for recognizing our elements.

## Constructor Details

### CredentialHandlerRuleSet

public CredentialHandlerRuleSet()
Construct an instance of this `RuleSet` with the default matching pattern prefix.

### CredentialHandlerRuleSet

public CredentialHandlerRuleSet(String prefix)
Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

## Method Details

### addRuleInstances

public void addRuleInstances(Digester digester)

Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Specified by:
  `addRuleInstances` in class `RuleSetBase`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.